//
// Demo for wrong shortcut event handling
// Christoph Dalitz, 2006/09/27
//

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Input.H>
#include <FL/Fl_Return_Button.H>
#include <FL/fl_ask.H>
#include <stdio.h>

Fl_Window *window1, *window2;
Fl_Input *input1, *input2;
Fl_Return_Button *button1, *button2;

// callback funktion for click on button
void cb_button(Fl_Widget *w, void *data)
{
  // show title of window to which button belongs
  char msg[256];
  sprintf(msg, "Button invoked in %s", w->parent()->label());
  fl_alert(msg);
}

// main programm
int main(int argc, char** argv)
{
  // create main window
  window1 = new Fl_Window(Fl::w()/2 - 300/2, Fl::h()/2 - 300/2, 300,200,"Window 1");
  window1->begin(); {
    input1 = new Fl_Input(120,50,100,20,"");
    button1 = new Fl_Return_Button(100,110,100,50,"Ok");
    button1->callback(cb_button);
  } window1->end();

  // create second window
  window2 = new Fl_Window(window1->x() + 200, window1->y() - 100, 300,200,"Window 2");
  window2->begin(); {
    input2 = new Fl_Input(120,50,100,20,"");
    button2 = new Fl_Return_Button(100,110,100,50,"Ok");
    button2->callback(cb_button);
  } window2->end();


  Fl::visible_focus(0);
  window1->show(argc, argv);
  window2->show(argc, argv);
  return Fl::run();
}

